=== debian/changelog ===
net-snmp (5.9+dfsg-4+deb11u1) bullseye-security; urgency=high

  * Backport upstream security patches from v5.9.3 Closes: #1016139
  * snmpd_fix_bounds_checking: CVE-2022-24805, CVE-2022-24809
  * snmpd_recover_set_status: CVE-2022-24806, CVE-2022-24807, CVE-2022-24808,
    CVE-2022-24810

 -- Craig Small <csmall@debian.org>  Mon, 15 Aug 2022 20:12:22 +1000

net-snmp (5.9+dfsg-3) unstable; urgency=medium

  * Source only upload - no changes Closes: #970798

 -- Craig Small <csmall@debian.org>  Fri, 25 Sep 2020 09:10:00 +1000

net-snmp (5.9+dfsg-2) unstable; urgency=medium

  * Move SNMP.3pm back to perl package Closes: #969436
  * Moved snmptrapd library into its own package to not pull in mysql
    dependencies for snmp/snmpd Closes: #953948

 -- Craig Small <csmall@debian.org>  Sun, 06 Sep 2020 21:52:58 +1000

net-snmp (5.9+dfsg-1) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Link libnetsnmptrapd against MYSQL_LIBS
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch: When building
      with MySQL (MariaDB) support, this library must be linked against the
      MySQL client library, or else it will have unresolved symbols.
    (Closes: #886221)

  [ Craig Small ]
  * New upstream release
  * Removed patches included in upstream
  * Library soname changed to 40
  * Remove dbg packages, no need to migrate as new soname

 -- Craig Small <csmall@debian.org>  Sat, 22 Aug 2020 17:11:17 +1000
