## net-snmp 5.9.1+dfsg

=== debian/changelog ===
net-snmp (5.9.1+dfsg-1ubuntu2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 13:33:00 +0100

net-snmp (5.9.1+dfsg-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1946877, #1912390). Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
    - d/p/lp1945960-*: backport patches for the OpenSSL3 transition
      (LP #1945960)
  * Dropped changes, incorporated by Debian:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.
  * Dropped changes, incorporated upstream:
    - Fix segmentation fault when certificate contains extension
      longer than 512 bytes (LP #1912389)
      + d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
        Skip certificate if loading fails.
      + d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
        Make sure enough space is allocated for extensions longer than
        512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 11 Jan 2022 20:39:24 -0500

net-snmp (5.9.1+dfsg-1) unstable; urgency=medium

  [ Owen Evans ]
  * Enable Blumenthal AES-192 and AES-256 encryption Closes: #972985

  [ Ferenc Wágner ]
  * Enable systemd integration and UDP socket activation
    Closes: #985369

  [ Sergio Durigan Junior ]
  * d/libsnmp-dev.install: Don't install archive (.a) files.
    The archive files are just temporary files generated in order to
    create the final shared objects (.so), and we don't need to ship them
    in the package.

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Vagrant Cascadian ]
  * Embed path to ps and uname. Closes: #978598

  [ Craig Small ]
  * Make the perl agent code more tolerant of perl types, thanks
    to Guillem Jover for the patch Closes: #977573
  * Make CI files use correct libmariadb-dev package names
    Closes: #975477
  * mib2c: Add recommends and fix error message Closes: #990706

  * Add configuration directory for snmpd
  * New upstream release
  * Add Recommends: procps for snmpd Closes: #993997

 -- Craig Small <csmall@debian.org>  Mon, 20 Sep 2021 21:35:58 +1000

net-snmp (5.9+dfsg-3ubuntu4) jammy; urgency=medium

  * d/p/lp1945960-*: backport patches for the OpenSSL3 transition
    (LP: #1945960)

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 17 Nov 2021 14:58:54 +0100

net-snmp (5.9+dfsg-3ubuntu3) impish; urgency=medium

  * No-change rebuild to build packages with zstd compression.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Oct 2021 12:21:20 +0200

net-snmp (5.9+dfsg-3ubuntu2) impish; urgency=medium

  * Fix segmentation fault when certificate contains extension
    longer than 512 bytes (LP: #1912389)
    - d/p/lp1912389-libsnmp-Handle-certificate-loading-errors-gracefully.patch:
      Skip certificate if loading fails.
    - d/p/lp1912389-libsnmp-SSL-Increase-extension-buffer-size-to-preven.patch:
      Make sure enough space is allocated for extensions longer than
      512 bytes.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 25 May 2021 19:03:31 -0400

net-snmp (5.9+dfsg-3ubuntu1) hirsute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add apport hook:
      + d/control: add dh-apport to Build-Depends
      + d/rules: install the apport hook via debhelper
      + d/source.apport: apport hook
  * Dropped:
    - d/p/Link-libnetsnmptrapd-against-MYSQL_LIBS.patch:
      Link libnetsnmptrapd against MYSQL_LIBS. Thanks to Adam
      Williamson <awilliam@redhat.com>.
      (Closes #886221, LP #1814254)
      [ Incorporated by Debian. ]
    - Fix build with mysql-8 (LP #1814270):
      + d/p/mysql8-replace-bool.patch: newer mysql dropped my_bool, use
        char instead.
      [ Incorporated by upstream. ]
    - Skip autofs entries when calling statfs to prevent autofs
      being mounted on snmpd startup (LP #1835818):
      + d/p/autofs-fix-a-recently-introduced-bug.patch
      + d/p/autofs-skip-autofs-entries.patch
      [ Incorporated by upstream. ]
    - d/p/fix-check-hr-filesys-autofs.patch:
      + On Linux getmntent() is available but getfsstat() not.
        Hence remove #if HAVE_GETFSSTAT from around the HRFS_type
        check.
      [ Incorporated by upstream. ]
  * Added changes:
    - d/libsnmp-dev.install: Don't install archive (.a) files.
      The archive files are just temporary files generated in order to
      create the final shared objects (.so), and we don't need to ship
      them in the package.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Tue, 05 Jan 2021 14:54:24 -0500

net-snmp (5.8+dfsg-5ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Nov 2020 10:50:26 +0100
