=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 LIB_VERSION = 40
 
 MIB_MODULES = smux ucd-snmp/dlmod mibII/mta_sendmail disman/event-mib
-EXCL_MIB_MODULES = 
+EXCL_MIB_MODULES =
 
 MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"
 
@@ -28,7 +28,7 @@
 endif
 
 %:
-	dh $@
+	dh $@ --with apport
 
 # The net-snmp Makefiles cannot handle parallel builds
 override_dh_auto_build:
@@ -53,6 +53,10 @@
 	  --with-mnttab=/etc/mtab \
 	  --with-mibdirs="\$$HOME/.snmp/mibs:$(MIBS_DIR)" \
 	  --with-mysql \
+	  --with-systemd \
+	  --enable-blumenthal-aes \
+	  UNAMEPROG=/bin/uname \
+	  PSPROG=/bin/ps \
 	  --with-defaults
 # --with-dnssec-local-validation  # not enabled since libval doesn't exist in Debian yet
 
@@ -85,14 +89,14 @@
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
 	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
 
+.PHONY: override_dh_apport
+override_dh_apport:
+	dh_apport -psnmpd
+
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
 	true
 
-override_dh_installsystemd:
-	dh_installsystemd -psnmptrapd --no-enable --no-start
-	dh_installsystemd -Nsnmptrapd
-
 override_dh_installinit:
 	dh_installinit -psnmptrapd --no-enable --no-start
 	dh_installinit -Nsnmptrapd
