=== debian/watch ===
version=4
opts="repack,dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg" \
  https://sf.net/net-snmp/net-snmp-([\d+\.]+|\d+)\.tar\.gz debian uupdate
