## net-snmp 5.9.3+dfsg

=== debian/changelog ===
net-snmp (5.9.3+dfsg-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Closes: #1025922
    + Initialize architecture variables.
    + Fix build vs host confusion.
    + Use the host architecture pkg-config.
    + export a PERL5LIB for cross building.
    + cross.patch: Pass PERL5LIB along.

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1, 2.
  * Use secure URI in Homepage field.

  [ Craig Small ]
  * Remove email list from maintainers
  * Add patch agent_set_null_varbind Closes: #1024020 fixes:
    + CVE-2022-44792 NULL Pointer Exception when handling ipDefaultTTL
    + CVE-2022-44793 NULL Pointer Exception when handling pv6IpForwarding

 -- Craig Small <csmall@debian.org>  Tue, 03 Jan 2023 13:01:46 +1100

net-snmp (5.9.3+dfsg-1) unstable; urgency=medium

  * New upstream source
  * Remove patch Link-libnetsnmptrapd-against-MYSQL_LIBS

 -- Craig Small <csmall@debian.org>  Mon, 18 Jul 2022 21:28:38 +1000

net-snmp (5.9.1+dfsg-4) unstable; urgency=medium

  * d/snmpd.postinst: Just chown $SNMP_DIR/snmpd.conf if the file exists.
    (Closes: #1012693)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 11 Jun 2022 17:35:00 -0400

net-snmp (5.9.1+dfsg-3) unstable; urgency=medium

  [ Sergio Durigan Junior ]
  * Fix FTBFS when compiling against OpenSSL 3.0.
    - d/p/Fix-the-build-against-OpenSSL-3.0.patch: Fix FTBFS when
      compiling against OpenSSL 3.0.
    - d/p/configure-static-linking-Fix-SSL-checks.patch: Fix SSL configure
      checks. (Closes: #1006511)
  * d/snmpd.service: Start the service after network-online.target.
    Closes: #1001268

  [ Debian Janitor ]
  * Re-export upstream signing key without extra signatures.
  * Update renamed lintian tag names in lintian overrides.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on bash, debianutils, findutils
      and perl.
    + snmpd: Drop versioned constraint on lsb-base in Depends.
    + snmptrapd: Drop versioned constraint on snmp in Replaces.
    + snmptrapd: Drop versioned constraint on snmp in Breaks.
    + snmp: Drop versioned constraint on libsnmp-base in Depends.
    + libsnmp-base: Drop versioned constraint on snmp in Replaces.
    + libsnmp-base: Drop versioned constraint on snmp in Breaks.

  [ Craig Small ]
  * Update to Debian standard 4.6.1, no change

 -- Craig Small <csmall@debian.org>  Sat, 11 Jun 2022 15:31:19 +1000

net-snmp (5.9.1+dfsg-2) unstable; urgency=medium

  * Fix path for net-snmp-create-v3-user Closes: #997895
  * Use pidof for net-snmp-create-v3-user so don't need procps
  * Make snmpd.conf group readable Closes: #998152
  * Reapplied perl callback patch Closes: #1011440

 -- Craig Small <csmall@debian.org>  Wed, 25 May 2022 22:09:23 +1000
