=== debian/control ===
--- 
+++ 
@@ -1,29 +1,25 @@
 Source: net-snmp
 Section: net
 Priority: optional
-Maintainer: Net-SNMP Packaging Team <pkg-net-snmp-devel@lists.alioth.debian.org>
-Uploaders: Craig Small <csmall@debian.org>,
- Thomas Anders <tanders@users.sourceforge.net>,
- Noah Meyerhans <noahm@debian.org>
+Maintainer: Craig Small <csmall@debian.org>
 Build-Depends: debhelper-compat (= 12),
- libtool, libwrap0-dev, libssl-dev, perl:any (>=5.8), perl-xs-dev,
- autoconf, automake, debianutils (>=1.13.1),
- bash (>=2.05), findutils (>=4.1.20), procps,
+ libtool, libwrap0-dev, libssl-dev, perl:any, perl-xs-dev,
+ autoconf, automake, procps,
  pkg-config,
  libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
  libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
  libsensors-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  default-libmysqlclient-dev, libpci-dev
 Build-Conflicts: libsnmp-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
 Vcs-Browser: https://salsa.debian.org/debian/net-snmp
-Homepage: http://net-snmp.sourceforge.net/
+Homepage: https://net-snmp.sourceforge.net/
 
 Package: snmpd
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base (>= 3.2-13), libsnmp-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, lsb-base, libsnmp-base
 Breaks: libsnmp-dev (<< 5.8+dfsg-3)
 Replaces: libsnmp-dev (<< 5.8+dfsg-3)
 Suggests: snmptrapd
@@ -39,8 +35,6 @@
 Architecture: any
 Recommends: perl
 Depends: ${shlibs:Depends}, ${misc:Depends}, snmpd
-Breaks: snmp (<< 5.7.3+dfsg-2)
-Replaces: snmp (<< 5.7.3+dfsg-2)
 Description: Net-SNMP notification receiver
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -52,7 +46,7 @@
 Package: snmp
 Architecture: any
 Recommends: perl
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base (>= 5.7.3+dfsg-5)
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
 Description: SNMP (Simple Network Management Protocol) applications
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -64,8 +58,6 @@
 Package: libsnmp-base
 Section: libs
 Architecture: all
-Replaces: snmp (<< 5.7.3+dfsg-5)
-Breaks: snmp (<< 5.7.3+dfsg-5)
 Depends: ${misc:Depends}
 Suggests: snmp-mibs-downloader
 Multi-Arch: foreign
@@ -102,7 +94,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base 
+Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
 Breaks: libsnmp40 (<= 5.9+dfsg-1)
 Replaces: libsnmp40 (<= 5.9+dfsg-1)
 Description: SNMP (Simple Network Management Protocol) trap library
@@ -121,6 +113,7 @@
          libwrap0-dev, libssl-dev, procps,
          libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
          libpci-dev
+Recommends: libsnmp-perl
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
