=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,8 @@
 #export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS := hardening=+all
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildtools.mk
 
 LIB_VERSION = 40
 
@@ -11,24 +12,28 @@
 
 MIBS_DIR="/usr/share/snmp/mibs:/usr/share/snmp/mibs/iana:/usr/share/snmp/mibs/ietf"
 
-ifeq (linux,$(DEB_BUILD_ARCH_OS))
+ifeq (linux,$(DEB_HOST_ARCH_OS))
 MIB_MODULES += ucd-snmp/diskio ucd-snmp/lmsensorsMib etherlike-mib/dot3StatsTable
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libsensors4-dev"
 else
-ifeq (kfreebsd,$(DEB_BUILD_ARCH_OS))
+ifeq (kfreebsd,$(DEB_HOST_ARCH_OS))
 DEB_DH_GENCONTROL_ARGS=-- -Vos-specific-dev="libkvm-dev"
-CFLAGS += $(shell pkg-config --cflags libbsd-overlay)
-LDFLAGS += $(shell pkg-config --libs libbsd-overlay)
+CFLAGS += $(shell $(PKG_CONFIG) --cflags libbsd-overlay)
+LDFLAGS += $(shell $(PKG_CONFIG) --libs libbsd-overlay)
 endif
 endif
-ifeq (hurd,$(DEB_BUILD_ARCH_OS))
+ifeq (hurd,$(DEB_HOST_ARCH_OS))
 EXCL_MIB_MODULES += mibII
 else
 MIB_MODULES += host
 endif
 
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+export PERL5LIB=/usr/lib/$(DEB_HOST_MULTIARCH)/perl/cross-config-$(shell perl -MConfig -e 'print $$Config{version}')
+endif
+
 %:
-	dh $@ --with apport
+	dh $@
 
 # The net-snmp Makefiles cannot handle parallel builds
 override_dh_auto_build:
@@ -87,11 +92,7 @@
 override_dh_fixperms-arch:
 	dh_fixperms
 	chmod -x debian/libsnmp-dev/etc/snmp/*.conf
-	chmod 600 debian/snmpd/etc/snmp/snmp*d.conf
-
-.PHONY: override_dh_apport
-override_dh_apport:
-	dh_apport -psnmpd
+	chmod 640 debian/snmpd/etc/snmp/snmp*d.conf
 
 override_dh_auto_test:
 	# prevent test since it fails with network configuration under pbuilder/etc.
