=== debian/tests/control ===
# Test for perl module
Test-Command: perl -MSNMP -e1
Restrictions: superficial

Tests: trap
Restrictions: needs-root, isolation-container
