## net-snmp 5.9.4+dfsg

=== debian/changelog ===
net-snmp (5.9.4+dfsg-2) unstable; urgency=medium

  * Update systemstats_linux to get expected header length Closes: #1069087
  * Library names cannot be changed due to freeze.

 -- Craig Small <csmall@debian.org>  Tue, 06 May 2025 21:20:52 +1000

net-snmp (5.9.4+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064249

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 22:43:19 +0000

net-snmp (5.9.4+dfsg-1) unstable; urgency=medium

  * New upstream release
  * snmpd: Remove dependency to lsb-base
  * postinst use chown user:group Closes: #1032201, #1027809

 -- Craig Small <csmall@debian.org>  Sat, 19 Aug 2023 19:36:39 +1000
