## net-snmp 5.9.5.2+dfsg

=== dist/Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 NAME = net-snmp
 
 # Define the default RPM release number. Set by Version-Munge.pl
-VERSION = 5.9
+VERSION = 5.9.5.2
 
 VERSION_TAG=`echo Ext-$(VERSION) | sed 's/\./-/g;'`
