=== debian/changelog ===
net-snmp (5.9.5.2+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload
  * Prevent exporting -Werror=declaration-after-statement to reverse
    dependencies Closes: #1124246

 -- Bastian Germann <bage@debian.org>  Fri, 09 Jan 2026 19:03:29 +0100

net-snmp (5.9.5.2+dfsg-2) unstable; urgency=medium

  * libsnmp-dev now depends on libnl-route-3-dev Closes: #1124219
  * Add autopkgtest for above

 -- Craig Small <csmall@debian.org>  Tue, 30 Dec 2025 09:59:12 +1100

net-snmp (5.9.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Fixed a critical vulnerability in snmptrapd triggered by a specially
      crafted trap CVE-2025-68615 Closes: #1123861
  * Remove patches linux_systemstats as upstream applied
  * Library, soname 40 -> 45
  * Updated example snmpd.conf

 -- Craig Small <csmall@debian.org>  Wed, 24 Dec 2025 17:25:02 +1100
