=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Craig Small <csmall@debian.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 12),
  libtool, libwrap0-dev, libssl-dev, perl:any, perl-xs-dev,
- autoconf, automake, procps,
- pkg-config,
- libbsd-dev [kfreebsd-i386 kfreebsd-amd64],
- libkvm-dev [kfreebsd-i386 kfreebsd-amd64],
- libsensors-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
- default-libmysqlclient-dev, libpci-dev
+ autoconf, automake, procps, pkgconf,
+ libbsd-dev [kfreebsd-any],
+ libkvm-dev [kfreebsd-any],
+ libsensors-dev [linux-any],
+ default-libmysqlclient-dev, libpci-dev,
+ libnl-route-3-dev
 Build-Conflicts: libsnmp-dev
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/debian/net-snmp.git
@@ -20,8 +20,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, debconf, libsnmp-base
-Breaks: libsnmp-dev (<< 5.8+dfsg-3)
-Replaces: libsnmp-dev (<< 5.8+dfsg-3)
 Suggests: snmptrapd
 Description: SNMP (Simple Network Management Protocol) agents
  The Simple Network Management Protocol (SNMP) provides a framework
@@ -74,10 +72,7 @@
  description, you need to activate the non-free repository and install the
  "snmp-mibs-downloader" package.
 
-Package: libsnmp40t64
-Provides: ${t64:Provides}
-Replaces: libsnmp40
-Breaks: libsnmp40 (<< ${source:Version})
+Package: libsnmp45
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -92,15 +87,12 @@
  sending, receiving, decoding, and manipulation of the SNMP requests
  and responses.
 
-Package: libnetsnmptrapd40t64
-Provides: ${t64:Provides}
+Package: libnetsnmptrapd45
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libsnmp-base
-Breaks: libnetsnmptrapd40 (<< ${source:Version}), libsnmp40t64 (<= 5.9+dfsg-1)
-Replaces: libnetsnmptrapd40, libsnmp40t64 (<= 5.9+dfsg-1)
 Description: SNMP (Simple Network Management Protocol) trap library
  The Simple Network Management Protocol (SNMP) provides a framework
  for the exchange of management information between agents (servers)
@@ -113,10 +105,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: no
-Depends: libc6-dev, libsnmp40t64 (=${binary:Version}), libnetsnmptrapd40t64 (=${binary:Version}),
+Depends: libc6-dev, libsnmp45 (=${binary:Version}), libnetsnmptrapd45 (=${binary:Version}),
          libwrap0-dev, libssl-dev, procps,
          libkvm-dev [kfreebsd-any], libsensors-dev [linux-any], ${misc:Depends},
-         libpci-dev
+         libpci-dev, libnl-route-3-dev
 Recommends: libsnmp-perl
 Description: SNMP (Simple Network Management Protocol) development files
  The Simple Network Management Protocol (SNMP) provides a framework
