=== debian/tests/control ===
# Test for perl module
Test-Command: perl -MSNMP -e1
Restrictions: superficial

# This no longer works and does not read the configuration file
#Tests: trap
#Restrictions: needs-root, isolation-container

Tests: build-agent
Depends: build-essential, libsnmp-dev
